Install old Debian releases (e.g. Sarge, Woody)








 

Recently, Debian 5.0 Lenny is released. However, I have some old proprietary software requires Linux 2.4 kernel and other old version libraries to run. Debian 3.1 Sarge is the last 2.4 Kernel Debian release. However, it is not available from all the Debian mirrors now.

First, we need to find a Debian Sarge Net-Install CD, which I could not find from Debian web site. But I found it from:

http://ftp.riken.go.jp/pub/Linux/debian/debian-cdimage/archive/

 

Second, I need to find an working Sarge repository mirror to install software. Luckily, I found this on Debian Official Web Site:



See http://www.debian.org/ for information about Debian GNU/Linux.

This FTP site is a repository for old debian releases. For new releases
please see ftp://ftp.debian.org/debian/.

Releases are stored by their codenames under the dists/ directory.
sarge is Debian 3.1
woody is Debian 3.0
potato is Debian 2.2
slink is Debian 2.1
hamm is Debian 2.0
bo is Debian 1.3
rex is Debian 1.2
buzz is Debian 1.1

If you are using APT the relevent sources.list entries are like:
deb http://archive.debian.org/debian/ $RELEASE main contrib
for example:
deb http://archive.debian.org/debian/ sarge main contrib



so edit /etc/apt/sources.list, and use following as the repository:



deb http://archive.debian.org/debian/ sarge main contrib



Alternatively, you can download the whole Debian Sarge DVDs from: http://ftp.riken.go.jp/pub/Linux/debian/debian-cdimage/archive/3.1_r8/i386/iso-dvd/



The DVDs includes all the Debian software, you do not need the internet repository any more.




1 comment:

  1. Good info, thank you. looking forward to resurrect my old pentium machines

    ReplyDelete